Inbound routes
Forward inbound mail on a verified domain to your application via HTTPS.
Create route
POST
/v1/inbound/routes | Field | Type | Required | Description |
|---|---|---|---|
| address | string | Required | Address or catch-all, e.g. support@yourdomain.com or *@yourdomain.com. |
| destination | string (https) | Required | HTTPS webhook that receives inbound messages. |
| enabled | boolean | Optional | Default true. |
List, update, delete
GET
/v1/inbound/routes PATCH
/v1/inbound/routes/{id} DELETE
/v1/inbound/routes/{id} Inbound payload
POST to destination
{
"from": "customer@example.com",
"to": ["support@yourdomain.com"],
"subject": "Help with order",
"text": "Hi, I need help…",
"html": "<p>Hi, I need help…</p>",
"headers": { "Message-Id": "<abc@example.com>" },
"attachments": []
}